@import 'variables';
@import 'node_modules/bootstrap/scss/bootstrap';
@import 'node_modules/material-design-icons/iconfont/material-icons.css';


body {
  background-color: $background-color;
  -webkit-user-select: none;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

.card, .list-group, .alert {
  box-shadow: $custom-box-shadow;

  .card, .list-group, .alert {
    box-shadow: none;
  }
}

.container {
  max-width: 575px;
  min-height: 100vh;
  padding: 24px 8px;

  display: flex;
  align-items: center;
  justify-content: center;
}

.container-loading {
  min-height: 100vh;
  padding: 24px 8px;

  display: flex;
  align-items: center;
  justify-content: center;

  flex-direction: column;
}

.card {
  width: 100%;
}

.card-header {
  background-color: $white !important;
}

.cursor-action {
  cursor: pointer !important;
}

.vertical-align-middle {
  vertical-align: middle !important;
}

.text-decoration-none {
  text-decoration: none !important;
}

.list-group-item-action {
  cursor: pointer !important;
}

.shadow-custom {
  box-shadow: $custom-box-shadow !important;
}

.custom-checkbox {
  .custom-control-label {
    cursor: pointer;

    fieldset[disabled] & {
      cursor: default;
    }
  }

  &.custom-checkbox-round {
    .custom-control-label:before {
      border-radius: 14px !important;
    }
  }
}

.btn-back {
  position: absolute;
  box-shadow: none !important;
  cursor: pointer;

  margin-top: -5px;
  margin-left: -12px;
  color: $dark;

  &:hover:not(:disabled) {
    color: $primary;
  }

  &:disabled {
    pointer-events: none;
  }

  i {
    vertical-align: middle;
  }
}

.no-validation-icon {
  background-image: none !important;
}

.container-info {
  border: $input-border-width solid $input-border-color;
  border-radius: $input-border-radius;

  padding: 12px 16px;
  margin-bottom: 16px;

  &.container-info-action {
    cursor: pointer;

    width: 100%;
    color: $list-group-action-color;
    text-align: inherit;

    @include hover-focus {
      z-index: 1;
      color: $list-group-action-hover-color;
      text-decoration: none;
      background-color: $list-group-hover-bg;
    }

    &:active {
      color: $list-group-action-active-color;
      background-color: $list-group-action-active-bg;
    }

    &.disabled {
      pointer-events: none;
    }

    fieldset[disabled] & {
      pointer-events: none;
      cursor: default;
    }
  }
}

.icon-sm {
  font-size: 17px;
  vertical-align: sub;
}

.list-group-item-checkbox {
  .checkbox-circle {
    border: 1px solid $custom-control-indicator-border-color;
    border-radius: 20px;
    width: 20px;
    height: 20px;
  }

  &.selected {
    background-color: lighten($primary, 42%);
    z-index: 5;

    &.list-group-item-action {
      &:hover {
        background-color: lighten($primary, 40%);
      }

      &:active {
        background-color: lighten($primary, 38%);
      }
    }

    .checkbox-circle {
      border-color: $primary;
      background-color: $primary;

      background-image: $custom-checkbox-indicator-icon-checked;
      background-size: 55%;
      background-position: center;
      background-repeat: no-repeat;
    }

    &.success {
      background-color: $white;

      .checkbox-circle {
        border-color: $success;
        background-color: $success;
      }
    }

    &.pending {
      background-color: $white;

      .checkbox-circle {
        border-color: $text-muted;
        background-color: $text-muted;

        background-image: str-replace(url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill='#{$custom-control-indicator-checked-color}' d='M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z'/%3e%3c/svg%3e"), "#", "%23");
        background-size: 100%;
      }
    }
  }

  fieldset[disabled] & {
    pointer-events: none;
    cursor: default;
  }
}
